package sun.management.snmp.jvminstr;

import sun.management.snmp.jvmmib.JvmRTBootClassPathTableMeta;
import sun.management.snmp.jvmmib.JvmRTClassPathTableMeta;
import sun.management.snmp.jvmmib.JvmRTLibraryPathTableMeta;
import sun.management.snmp.jvmmib.JvmRTInputArgsTableMeta;
import javax.management.MBeanServer;
import com.sun.jmx.snmp.agent.SnmpStandardObjectServer;
import com.sun.jmx.snmp.agent.SnmpMib;
import sun.management.snmp.jvmmib.JvmRuntimeMeta;

public class JvmRuntimeMetaImpl extends JvmRuntimeMeta
{
    static final long serialVersionUID = -6570428414857608618L;
    
    public JvmRuntimeMetaImpl(SnmpMib snmpMib, SnmpStandardObjectServer snmpStandardObjectServer) {
        super(snmpMib, snmpStandardObjectServer);
    }
    
    protected JvmRTInputArgsTableMeta createJvmRTInputArgsTableMetaNode(String s, String s2, SnmpMib snmpMib, MBeanServer mBeanServer) {
        return new JvmRTInputArgsTableMetaImpl(snmpMib, this.objectserver);
    }
    
    protected JvmRTLibraryPathTableMeta createJvmRTLibraryPathTableMetaNode(String s, String s2, SnmpMib snmpMib, MBeanServer mBeanServer) {
        return new JvmRTLibraryPathTableMetaImpl(snmpMib, this.objectserver);
    }
    
    protected JvmRTClassPathTableMeta createJvmRTClassPathTableMetaNode(String s, String s2, SnmpMib snmpMib, MBeanServer mBeanServer) {
        return new JvmRTClassPathTableMetaImpl(snmpMib, this.objectserver);
    }
    
    protected JvmRTBootClassPathTableMeta createJvmRTBootClassPathTableMetaNode(String s, String s2, SnmpMib snmpMib, MBeanServer mBeanServer) {
        return new JvmRTBootClassPathTableMetaImpl(snmpMib, this.objectserver);
    }
}
